<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
/*
 * crea una carpeta del proyecto si no existe
 */
if (!function_exists('path_create')) {

    function path_create($path) {
        $temp_path = getcwd();
        $CI = &get_instance();
        $index_content = $CI->load->view('index.html', '', TRUE);
        if (is_array($path)) {
            foreach ($path as $carpeta) {
                $temp_path .= "/" . $carpeta;
                if (!file_exists($temp_path)) {
                    if (!mkdir($temp_path, 0777, TRUE)) {
                        throw new Exception("ERROR:No se creo el directorio, por favor contacte a soporte técnico");
                    } else {
                        $index_file = fopen($temp_path . '/index.html', 'w') or die("Error creando archivo index");
                        fwrite($index_file, $index_content);
                        fclose($index_file);
                    }
                }
            }
        }
        if (is_string($path)) {
            $temp_path .= "/" . $path;
            if (!file_exists($temp_path)) {
                if (!mkdir($temp_path, 0777, TRUE)) {
                    throw new Exception("ERROR:No se creo el directorio, por favor contacte a soporte técnico");
                } else {
                    $index_file = fopen($temp_path . '/index.html', 'w') or die("Error creando archivo index");
                    fwrite($index_file, $index_content);
                    fclose($index_file);
                }
            }
        }
        return realpath($temp_path) . '/';
    }

}

if (!function_exists('delete_directory')) {

    function delete_directory($path) {
        if (empty($path)) {
            return false;
        }
        if (!is_dir($path)) {
            throw new InvalidArgumentException($path . " no es un directorio valido.");
        }
        if (substr($path, strlen($path) - 1, 1) != '/') {
            $path .= '/';
        }
        chmod($path, 0777);
        $files = array_diff(scandir($path), array('.', '..'));
        foreach ($files as $file) {
            if (is_dir($path . $file)) {
                delete_directory($path . $file);
            } else {
                unlink($path . $file);
            }
        }
        return rmdir($path);
    }

}